//  AppController.,
//  BrowserDownloadDemo
//
//  Created by Robbie Duncan on 12/12/2006.
//  Copyright 2006 Robbie Duncan. You are granted rights to do anything you like with this file.
//
#import "AppController.h"
#import "PolicyDelegate.h"
#import "DownloadDelegate.h"

@implementation AppController

- (void) awakeFromNib
{
	// For some reason we cannot autorelease these delegates.  If we were doing this properly we'd released these on dealloc.
	[webView setPolicyDelegate:[[PolicyDelegate alloc] init]];
	[webView setDownloadDelegate:[[DownloadDelegate alloc] init]];
}

- (IBAction)fetch:(id)sender
{
	[[webView mainFrame] loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:[urlText stringValue]]]];
}

@end
